<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


class PackagesListObject
{

    /** @var int */
    private $orderId;

    /** @var array */
    private $packages;

    /**
     * PackagesListObject constructor.
     * @param int $orderId
     * @param array $packages
     */
    public function __construct(int $orderId, array $packages)
    {
        $this->orderId = $orderId;
        $this->packages = $packages;
    }

    /**
     * @return int
     */
    public function getOrderId(): int
    {
        return $this->orderId;
    }

    /**
     * @return array
     */
    public function getPackages(): array
    {
        return $this->packages;
    }



}